#include <stdio.h>
#include "words.h"
#include "standard.h"

int main(int argc, char *argv[]) {

    /* 
       words2id wordLst Words 
    */
    
    WordList *lst;
    FILE *fd;
    FILE *fd2 = NULL;
    char buff[150];
    
    if (argc != 3 && argc != 4) {
	printf("Usage:\n");
	printf("  nat-words2id lexic wrdLst [output.bin]\n");
	return 1;
    }

    lst = word_list_load(argv[1], NULL);
    if (!lst) return 1;
    
    fd = fopen(argv[2], "r");
    if (!fd) return 1;

    if (argc == 4) {
	fd2 = fopen(argv[3], "wb");
	if (!fd2) return 1;
    }

    while(!feof(fd)) {
	fgets(buff, 150, fd);
	if (!feof(fd)) {
	    guint32 id;
	    id = word_list_get_id(lst, chomp(buff));
	    if (id) {
		if (argc == 4) {
		    fwrite(&id, sizeof(guint32), 1, fd2);
		} else {
		    printf("%d\n", id);
		}
	    }
	}
    }
    
    fclose(fd);

    return 0;
}
